from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
from Products.Five import zcml
from Products.Five import fiveconfigure

@onsetup
def setup_themecentre():
    fiveconfigure.debug_mode = True
    import Products.Five
    import Products.FiveSite
    zcml.load_config('meta.zcml', Products.Five)
    zcml.load_config('configure.zcml', Products.FiveSite)
    fiveconfigure.debug_mode = False

    PloneTestCase.installProduct('Five')
    PloneTestCase.installProduct('FiveSite')
    PloneTestCase.installProduct('PloneRSSPortlet')
    PloneTestCase.installProduct('PloneHelpCenter')
    PloneTestCase.installProduct('EEAPloneAdmin')
    PloneTestCase.installProduct('PloneLanguageTool')
    PloneTestCase.installProduct('LinguaPlone')
    PloneTestCase.installProduct('ATVocabularyManager')
    PloneTestCase.installProduct('EEAContentTypes')
    PloneTestCase.installProduct('ThemeCentre')

PRODUCTS = ('PloneRSSPortlet', 'ATVocabularyManager', 'PloneHelpCenter',
            'EEAPloneAdmin', 'PloneLanguageTool', 'LinguaPlone',
            'EEAContentTypes', 'FiveSite', 'ThemeCentre')

setup_themecentre()
PloneTestCase.setupPloneSite(products=PRODUCTS)

class ThemeCentreTestCase(PloneTestCase.FunctionalTestCase):
    """ A test case for themecentres. """
